com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedOldDisclosureHandler

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<DisclosureHandler>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedOldDisclosureHandler

All Implemented Interfaces:
  CloseHandler<DisclosurePanel>, OpenHandler<DisclosurePanel>, EventHandler

Enclosing class:
  ListenerWrapper<T>

    static class ListenerWrapper.WrappedOldDisclosureHandler
    extends ListenerWrapper<DisclosureHandler>
    implements CloseHandler<DisclosurePanel>, OpenHandler<DisclosurePanel>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `add(DisclosurePanel source, DisclosureHandler listener)`
`void` `onClose(CloseEvent<DisclosurePanel> event)` Called when `CloseEvent` is fired.
`void` `onOpen(OpenEvent<DisclosurePanel> event)` Called when `OpenEvent` is fired.
`static void` `remove(Widget eventSource, DisclosureHandler listener)`

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public static void add(DisclosurePanel source,
                           DisclosureHandler listener)

#### remove

    public static void remove(Widget eventSource,
                              DisclosureHandler listener)

#### onClose

    public void onClose(CloseEvent<DisclosurePanel> event)

Description copied from interface: `CloseHandler`
Called when `CloseEvent` is fired.

Specified by:
  `onClose` in interface `CloseHandler<DisclosurePanel>`
Parameters:
  `event` - the `CloseEvent` that was fired

#### onOpen

    public void onOpen(OpenEvent<DisclosurePanel> event)

Description copied from interface: `OpenHandler`
Called when `OpenEvent` is fired.

Specified by:
  `onOpen` in interface `OpenHandler<DisclosurePanel>`
Parameters:
  `event` - the `OpenEvent` that was fired